Attach customer to collection
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/collection/attach-customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee",
"transaction_id": "fb87c0f8-31e3-46f3-b0d3-1ff2618565bc"
}
'import requests
url = "https://api-prod.blaaiz.com/api/external/collection/attach-customer"
payload = {
"customer_id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee",
"transaction_id": "fb87c0f8-31e3-46f3-b0d3-1ff2618565bc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '9d4c4ec5-59ea-4130-bf8a-6a5edec401ee',
transaction_id: 'fb87c0f8-31e3-46f3-b0d3-1ff2618565bc'
})
};
fetch('https://api-prod.blaaiz.com/api/external/collection/attach-customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/collection/attach-customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"9d4c4ec5-59ea-4130-bf8a-6a5edec401ee\",\n \"transaction_id\": \"fb87c0f8-31e3-46f3-b0d3-1ff2618565bc\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/collection/attach-customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '9d4c4ec5-59ea-4130-bf8a-6a5edec401ee',
'transaction_id' => 'fb87c0f8-31e3-46f3-b0d3-1ff2618565bc'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Transaction updated successfully."
}Collection
Attach customer to collection
Associate a collection transaction with a verified customer.
Important: API card collections cannot be updated with this endpoint. Required scope: collection:create.
POST
/
api
/
external
/
collection
/
attach-customer
Attach customer to collection
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Headers
Content type header.
Body
application/json
Response
Transaction updated successfully.
Was this page helpful?
⌘I

